Bug 77636 - connection.c:1133: connection_input: Assertion `conn->c_struct_state == 0x02' failed
connection.c:1133: connection_input: Assertion `conn->c_struct_state == 0x02'...
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: openldap (Show other bugs)
8.0
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Jay Fenlason
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-11-11 03:19 EST by Michael Goll
Modified: 2015-01-07 19:01 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 10:34:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Debug trace of slapd (47.25 KB, text/plain)
2002-11-11 03:21 EST, Michael Goll
no flags Details

  None (edit)
Description Michael Goll 2002-11-11 03:19:36 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.1a) Gecko/20020720

Description of problem:
Using any valid configuration (for example, the example.com one provided), slapd
starts OK, but I get the above error when I do the first query, I gett the above
message.

When I rehbuild the package with threads=none, it works.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.service ldap start
2.ldapsearch -x

	

Actual Results:  slapd fails with error /connection.c:1133: connection_input:
Assertion `conn->c_struct_state == 0x02' failed


Expected Results:  stays up

Additional info:
Comment 1 Michael Goll 2002-11-11 03:21:28 EST
Created attachment 84504 [details]
Debug trace of slapd
Comment 2 Need Real Name 2002-12-09 11:19:14 EST
Yeah, it seems impossible to make OpenLDAP work on RedHat 8.  As soon as you
make the first connection, it exits, even try running an nmap scan on it and it
will quit.

Strikes me that this should be a high priority bug unless there is an easy way
to get the standard install running right (i.e. without rebuilding).  If a
rebuild with threads=none is all it takes, can this not be done and pushed out
through up2date?
Comment 3 Bill Nottingham 2006-08-07 13:28:54 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please change the product and version to match, and
check the box indicating that the requested information has been
provided. Note that any bug still open against Red Hat Linux on will be
closed as 'CANTFIX' on September 30, 2006. Thanks again for your help.
Comment 4 Bill Nottingham 2006-10-18 10:34:19 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.